Bug 752734 - Preupgrade does not do any upgrading from F14 to F16
Preupgrade does not do any upgrading from F14 to F16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 04:40 EST by Colin Adams
Modified: 2013-02-13 09:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Adams 2011-11-10 04:40:08 EST
Description of problem: After re-booting after running preupgrade, the system remains at F14, not F16.


Version-Release number of selected component (if applicable):


How reproducible: Every time.


Steps to Reproduce:
1. yum install preupgrade
2. preupgrade
3. reboot by pressing the reboot button at the end of preupgrade
  
Actual results: System remains at F14.


Expected results: System should be at F16.


Additional info: I am running on a Macbook Air with F14 x86_64 installed as the sole O/S. The page on problems with F16 mentions bug 737731. But this has been closed, with a fix for F15 only, and anyway it does not sound like my problem, as there the upgrade has run, but it is only the boot menu that has not been fixed.
Comment 1 Alex Lancaster 2011-11-14 14:39:56 EST
I think this is the same problem as documented here:

https://fedoraproject.org/wiki/Common_F16_bugs#Upgrade_from_Fedora_14_to_Fedora_16_with_preupgrade_leaves_bootloader_in_previous_configuration

however the bugzilla link there goes to a bug that's been closed for f15, but not f14.
Comment 2 Alex Lancaster 2011-11-14 14:53:49 EST
Hmm, maybe this isn't quite the same, after looking more closely at comment #0.
Comment 3 Paul 2011-11-18 12:58:06 EST
I have the same problem (trying to upgrade from f14 to f16 with preupgrade).
and I found that the initr.img in /boot/upgrade is corrupted.

I try 

lsinitrd /boot/upgrade/initrd.img 
/boot/upgrade/initrd.img:
========================================================================

gzip: /boot/upgrade/initrd.img: not in gzip format
========================================================================

gzip: /boot/upgrade/initrd.img: not in gzip format
cpio: premature end of archive
========================================================================

I download it twice with the same result.
Comment 4 Alex Lancaster 2011-11-18 15:55:03 EST
If you update to this preupgrade version in f14 (still in updates-testing):

https://admin.fedoraproject.org/updates/preupgrade-1.1.10-1.fc14

do you still get the same problem?
Comment 5 Paul 2011-11-18 20:03:42 EST
I tried with preupgrade version 1.1.10

There was nothing different! 

I didn't remove old files and
I use preupgrade-cli "Fedora 16 (Verne)"
There was no new packages downloaded.
For the file initrd.img, there was a message: CKECKSUM OK!
Of course, it's still corrupted.

Finally,  I verified the preuprade version:

preupgrade-cli --version 
Loaded plugins: blacklist, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
Adding en_US to language list
PreUpgrade - 1.1.10 (yum - 3.2.28)
Comment 6 Paul 2011-11-22 20:59:47 EST
Is there some workaround to make grub (0.97) to boot after the first part of preupgrade (v 1.1.10 f14).

I tried to boot grub manually but the command

initrd /boot/upgrade/initrd.img 

will hang the computer ( I waited 5 or 6 minutes!).
I have Pentium 4, 1.5GB and 500M for /boot partition
Comment 7 Alex Lancaster 2011-11-24 00:02:13 EST
My preupgrade experience with 1.1.10.fc14 was not good: it got stuck at 80% of the way through package install (about 3000 packages out of 4000).  I had to manually yum install and package-cleanup a lot manually.

My guess is that this would have also happened with previous version.  I never got to the point where I would have been able to test the grub fix that the 1.1.10 update was supposed to fix.

Regarding comment #6:

Is this booting issue just after downloading packages, or after the actual installation of packages has finished?  If the latter, it's possible to boot into a rescue mode (or the old f14 kernel, if it's still installed) and install grub2.  See:

https://fedoraproject.org/wiki/Grub2#Tasks_.2F_Common_issues

also this might be helpful

http://ask.fedoraproject.org/question/136/how-to-update-grub2-on-fedora-16
Comment 8 Paul 2011-11-26 09:42:11 EST
Finally, I succeeded to upgrade to f16.

In F14, I install grub2 with

yum install grub2
(this will add a menu item in grub to chain boot to grub2 and
 will install your actual kernel in grub2)

then I rerun preupgrade
(unfortunately, this will not add an entry in grub2)

after the reboot (twice, first time cannot get the grub menu), I went to grub2
and enter command line:

linux /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade
initrd /upgrade/initrd.img
boot

In the process of upgrading, I choose to install the bootloader.
The process complete without error and my system reboot in F16.
Comment 9 Dirk Hoffmann 2011-12-31 04:13:40 EST
I have very similar symptoms, reported in bug 757128. Duplicate?
Comment 10 Dirk Hoffmann 2012-12-13 17:20:23 EST
Forget this ticket (and close it)? 
Preupgrade has been announced to be phased out for fc18 according to https://fedoraproject.org/wiki/How_to_use_PreUpgrade?rd=PreUpgrade

Apparently none of the persons in charge gave a shit anyway for our problem since one year.
Comment 11 Fedora End Of Life 2013-01-16 08:42:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Dirk Hoffmann 2013-01-16 08:49:33 EST
(In reply to comment #11)
> This message is a reminder that Fedora 16 is nearing its end of life.
> Approximately 4 (four) weeks from now Fedora will stop maintaining
> and issuing updates for Fedora 16. It is Fedora's policy to close all
> bug reports from releases that are no longer maintained. At that time
> this bug will be closed as WONTFIX if it remains open with a Fedora 
> 'version' of '16'.
> 
> Package Maintainer: If you wish for this bug to remain open because you
> plan to fix it in a currently maintained version, simply change the
> 'version' 
> to a later Fedora version prior to Fedora 16's end of life.
> 
> Bug Reporter: Thank you for reporting this issue and we are sorry that 
> we may not be able to fix it before Fedora 16 is end of life. If you 
> would still like to see this bug fixed and are able to reproduce it 
> against a later version of Fedora, you are encouraged to click on 
> "Clone This Bug" and open it against that version of Fedora.
> 
> Although we aim to fix as many bugs as possible during every release's 
> lifetime, sometimes those efforts are overtaken by events. Often a 
> more recent Fedora release includes newer upstream software that fixes 
> bugs or makes them obsolete.
> 
> The process we are following is described here: 
> http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Dear housekeeper,

There hasn't been any noticeable effort to solve this bug. You could have read my last comment and simply close it.
Comment 13 Fedora End Of Life 2013-02-13 09:35:35 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.